[Previous] [Next] [Contents]

## `SG::MultPerm` -- multiply permutations

#### Call(s)

`SG::MultPerm(perm1,perm2)`

#### Parameters

`perm1, perm2` | - | any lists denoting permutations

#### Introduction

The `SG::MultPerm` function calculates the product of a sequence (of arbitrary length) of permutations.

``SG::MultPerm`(perm1, perm2)` computes `perm1(perm2)`.

Permutations need not to belong to the same symmetric group: Sn is embedded into Sn+1 by adding the fixed point n+1.

#### Example 1

    >> muEC::SG::MultPerm( [1,3,2], [2,3,1] );

                                     [3, 2, 1]

    >> muEC::SG::MultPerm( [1,3,2], [2,3,1], [1,3,2,4] );

                                   [3, 1, 2, 4]

#### Related Functions

`IsPerm`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package